typedef struct lvlpoint {

	float blx;
	float bly;
	float blz;

	float trx;
	float trY;
	float trz;

	int material;
	struct lvlpoint *next;
	struct lvlpoint *prev;
};

class Level {
      public:
	lvlpoint * head;
	lvlpoint *tail;		//linked lists! yay!
	int blocks;
	int curBlock;
	int maxFuel;
	int maxOxygen;
	int gravity;
	char next[30];
	char fname[64];
	FILE *data;
	 Level();
	~Level();
	bool initialize(char *filename);
	bool loadNext();
	bool Render(float front, float back);
	void Add(lvlpoint * newPoint);
	void Delete(lvlpoint * point);
	void Sort();
	void Save();
      private:
	 lvlpoint * addPoint();
	void clear();		//empty the lists
};
